Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Invoice
  • Home
    • About
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • AutoCollec API
      • Example Workflow
      • Batches
        • GetBatchById
        • GetBatchesByOrganization
      • Invoice
        • CreateInvoices
          POST
        • GetInvoicesByOrganization
          GET
        • GetInvoiceById
          GET
      • Payment
        • CreatePayments
      • Collections
        • AcceptDebtCollectionList
        • AcceptDebtCollectionList
        • RejectDebtCollectionList
        • PauseCase
        • RejectDebtCollectionList
        • WithdrawCase
        • PauseCase
        • ResumeCase
        • WithdrawCase
        • ResumeCase
      • Settlement
        • GetSettlement on Id
        • GetSettlements
        • GetSettlements
        • GetSettlement on Id
    • AutoCollect API (Legacy)
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Invoice

CreateInvoices

POST
/orgs/{orgId}/invoices
Endpoints for organization management operations

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢202Accepted
application/json
Accepted
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/orgs//invoices' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "invoices": [
        {
            "type": "PAYMENT_REMINDER",
            "invoiceNumber": "string",
            "vat": true,
            "fees": true,
            "originalInvoiceAmount": 0,
            "currency": "string",
            "invoiceDate": "2019-08-24T14:15:22.123Z",
            "dueDate": "2019-08-24T14:15:22.123Z",
            "collectionNoticeDate": "2019-08-24T14:15:22.123Z",
            "ocrReferenceNumber": "string",
            "uniqueSourceInvoiceId": "string",
            "description": "string",
            "debtors": [
                {
                    "type": "PRIVATE",
                    "firstname": "string",
                    "lastname": "string",
                    "name": "string",
                    "customerNumber": "string",
                    "identificationNumber": "string",
                    "organizationNumber": "string",
                    "dateOfBirth": "2019-08-24",
                    "emails": [
                        {
                            "value": "string"
                        }
                    ],
                    "phoneNumbers": [
                        {
                            "countryCode": "string",
                            "originalValue": "string",
                            "value": "string"
                        }
                    ],
                    "addresses": [
                        {
                            "street": "string",
                            "city": "string",
                            "zipCode": "string",
                            "countryCode": "string"
                        }
                    ]
                }
            ],
            "claims": [
                {
                    "type": "PRINCIPAL",
                    "remainingAmount": 0,
                    "description": "string"
                }
            ]
        }
    ]
}'
Response Response Example
{
    "summary": {
        "status": "SUCCESS"
    },
    "data": {
        "batchId": "ae257e86-dc53-4865-9c97-5b125a3a5ac2",
        "batchUrl": "https://api.amili.no/collection/v1/batches/ae257e86-dc53-4865-9c97-5b125a3a5ac2"
    }
}
Modified at 2026-03-13 13:33:49
Previous
GetBatchesByOrganization
Next
GetInvoicesByOrganization
Built with